#include "../../std.h"

#include <globus_common.h>
#include <globus_io.h>
#include <fstream>
#include <iostream>

#include "ns.nsmap"

#include "../client/client.h"


HTTP_ClientSOAP *s;

bool test = false;

ns__fileinfo::ns__fileinfo() {
}
ns__fileinfo::~ns__fileinfo() {
}




int main(int argc,char* argv[]) {
  char* url = "http://localhost:8000/se/";
  char* cluster = "localhost";
  int n;
  int ret = -1;

  if(globus_module_activate(GLOBUS_IO_MODULE) != GLOBUS_SUCCESS) {
    cerr<<"Failed to activate globus"<<endl;
  };

  int r;
  struct soap soap;

  int soap_err = SOAP_OK;

  // initialize interface
  s = new HTTP_ClientSOAP(url,&soap);

  if(s->connect() != 0) {
    cerr<<"Failed to connect to "<<url<<endl;
    return -1;
  };

  ns__fileinfo info;
  unsigned long long int size_ = 2000;
  info.id="ID10"; info.size=&size_;
  // info.md5sum="0";
  info.checksum=NULL;
  info.acl="";
  if(argv[1]) info.id=argv[1];
  ns__addResponse rr;
  if((soap_err=soap_call_ns__add(&soap,url,"add",&info,rr)) != SOAP_OK) {
    cerr<<"Failed to create remote file"<<endl;
  } else {
    cerr<<"Returned: "<<rr.error_code<<" "<<rr.sub_error_code<<rr.file.url<<endl;
  };
  s->disconnect();
  globus_module_deactivate(GLOBUS_IO_MODULE);
  return ret;
}

